Bio::Tools::Run::Tmhmm(3)

NAME
Bio::Tools::Run::Tmhmm - Object for identifying transmembrane helixes
  in a given protein seequence.

SYNOPSIS
  # Build a Tmhmm  factory

  # $paramfile is the full path to the seg binary file

  my @params = ('PROGRAM',$paramfile);
  my $factory = Bio::Tools::Run::Tmhmm->new($param);

  # Pass the factory a Bio::Seq object
  # @feats is an array of Bio::SeqFeature::Generic objects

  my @feats = $factory->run($seq);

DESCRIPTION
Tmhmm is a program for identifying transmembrane helices in proteins

FEEDBACK

  Mailing Lists
User feedback is an integral part of the evolution of this and other Bioperl modules. Send your comments and suggestions preferably to one of the Bioperl mailing lists. Your participation is much appreciated.

  bioperl-l@bioperl.org          - General discussion
  http://bio.perl.org/MailList.html             - About the mailing lists

head2 Reporting Bugs

Report bugs to the Bioperl bug tracking system to help us keep track the bugs and their resolution. Bug reports can be submitted via the web:

  http://bugzilla.bioperl.org/

AUTHOR - Bala
 Email savikalpa@fugu-sg.org

APPENDIX
 The rest of the documentation details each of the object
 methods. Internal methods are usually preceded with a _

  program_name
 Title   : program_name
 Usage   : $factory>program_name()
 Function: holds the program name
 Returns:  string
 Args    : None

  program_dir
 Title   : program_dir
 Usage   : $factory->program_dir(@params)
 Function: returns the program directory, obtiained from ENV variable.
 Returns:  string
 Args    :

  new
 Title   : new
 Usage   : $rm->new(@params)
 Function: creates a new Tmhmm factory
 Returns:  Bio::Tools::Run::Tmhmm
 Args    :

  predict_protein_features
 Title   :   predict_protein_features()
 Usage   :   DEPRECATED Use $obj->run($seq) instead
 Function:   Runs Tmhmm and creates an array of featrues
 Returns :   An array of Bio::SeqFeature::Generic objects
 Args    :   A Bio::PrimarySeqI

  run
 Title   :   run()
 Usage   :   $obj->run($seq)
 Function:   Runs Tmhmm and creates an array of featrues
 Returns :   An array of Bio::SeqFeature::Generic objects
 Args    :   A Bio::PrimarySeqI

  _input
 Title   :   _input
 Usage   :   obj->_input($seqFile)
 Function:   Internal(not to be used directly)
 Returns :
 Args    :

  _run
 Title   :   _run
 Usage   :   $obj->_run()
 Function:   Internal(not to be used directly)
 Returns :   An array of Bio::SeqFeature::Generic objects
 Args    :

  _writeSeqFile
 Title   :   _writeSeqFile
 Usage   :   obj->_writeSeqFile($seq)
 Function:   Internal(not to be used directly)
 Returns :
 Args    :